# Uses of Enum Class
javax.smartcardio.CardTerminals.State

Packages that use CardTerminals.State
Package
Description
javax.smartcardio
Java™ Smart Card I/O API.

## Uses of CardTerminals.State in javax.smartcardio

Subclasses with type arguments of type CardTerminals.State in javax.smartcardio
Modifier and Type
Class
Description
`static enum`
`CardTerminals.State`
Enumeration of attributes of a CardTerminal.
Methods in javax.smartcardio that return CardTerminals.State
Modifier and Type
Method
Description
`static CardTerminals.State`
CardTerminals.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CardTerminals.State[]`
CardTerminals.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.smartcardio with parameters of type CardTerminals.State
Modifier and Type
Method
Description
`abstract List<CardTerminal>`
CardTerminals.`list(CardTerminals.State state)`
Returns an unmodifiable list of all terminals matching the specified state.